#!/bin/bash

source Settings.cfg
./Settings2.sh
levelarea=-255
levelline=-255
levelnum=0 #signal level
levelnumprea=0 #old signal level 1
levelnumpreb=0 #old signal level 2
rm $LOGLOCA/Kismet* 2> /dev/null
rm $LOG 2> /dev/null
trap "killall nc 2> /dev/null; killall kismet_server 2> /dev/null; killall kismet 2> /dev/null" EXIT
killall nc 2> /dev/null
killall kismet_server 2> /dev/null
killall kismet 2> /dev/null

kismet_server --log-prefix $LOGLOCA --capture-source $KISMETSOURCE > /dev/null &

sleep 5s

while true
do
  levelnum=-255
  if [ -e $LOG ]
  then
    rm $LOG
  fi

  sync
  sync
  sync
  sync
  sync
  sync
  sync
  sync
  sync
  sync
  if [ -e $LOG ]
  then
    levelarea="`cat $LOG | grep --regexp="$ESSID" --after-context=32 --max-count=1`"
    echo "levelarea = $levelarea"
		echo $levelarea > KismetLast.log

  levelline="`echo "$levelarea" | grep -E --only-matching --regexp="<last_signal_dbm>-?[0-9]+" -`"

  echo "levelline = $levelline"

  levelnum="`echo "$levelline" | grep -E --only-matching --regexp="-?[0-9]+" -`"

  echo "levelnum = $levelnum"

  echo "Signal Strength = $levelnum"
  echo "Signal Strength = $levelnum" >> log.txt
  echo "$levelnum" | sudo netcat -l  $Port
  levelnumpreb=$levelnumprea
  levelnumprea=$levelnum

  fi

done
